#ifndef jtypes_h
#define jtypes_h

#ifdef __cplusplus
extern "C" {
#endif

typedef unsigned char       u8;
typedef unsigned short      u16;
typedef unsigned int        u32;
typedef unsigned long long  u64;
typedef char                i8;
typedef short               i16;
typedef int                 i32;
typedef long long           i64;

/*
::  If compiling for a big-endian target, uncomment the following line.
`::........................................................................ */
/* #define BIG_ENDIAN */

/*
::  If the target is an x86, some C/C++ routines may have Assembly language
::  replacements.  They can be enabled by uncommenting the following line.
`::........................................................................ */
/* #define X86_ASM_REPLACEMENT */

#ifdef __cplusplus
}
#endif

#endif
